MailLogger (Apache Ant API)
Keywords: org.apache.tools.ant.listener.MailLogger class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.listener
Class MailLogger

    java.lang.Object
      org.apache.tools.ant.DefaultLogger
          org.apache.tools.ant.listener.MailLogger

All Implemented Interfaces:
  java.util.EventListener, BuildListener, BuildLogger

    public class MailLogger

extends DefaultLogger

Buffers log messages from DefaultLogger, and sends an e-mail with the results. The following Project properties are used to send the mail.

- MailLogger.mailhost [default: localhost] - Mail server to use
- MailLogger.port [default: 25] - Default port for SMTP
- MailLogger.from [required] - Mail "from" address
- MailLogger.failure.notify [default: true] - Send build failure e-mails?
- MailLogger.success.notify [default: true] - Send build success e-mails?
- MailLogger.failure.to [required if failure mail to be sent] - Address to send failure messages to
- MailLogger.success.to [required if success mail to be sent] - Address to send success messages to
- MailLogger.failure.subject [default: "Build Failure"] - Subject of failed build
- MailLogger.success.subject [default: "Build Success"] - Subject of successful build

These properties are set using standard Ant property setting mechanisms (<property>, command-line -D, etc). Ant properties can be overridden by specifying the filename of a properties file in the MailLogger.properties.file property . Any properties defined in that file will override Ant properties.

Field Summary

Fields inherited from class org.apache.tools.ant.DefaultLogger
`emacsMode, err, LEFT_COLUMN_SIZE, lSep, msgOutputLevel, out`

Constructor Summary
`MailLogger()`

Method Summary
`void` | `buildFinished(BuildEvent event)` Sends an e-mail with the log results.
`protected void` | `log(java.lang.String message)` Receives and buffers log messages.

Methods inherited from class org.apache.tools.ant.DefaultLogger
`buildStarted, formatTime, getBuildFailedMessage, getBuildSuccessfulMessage, messageLogged, printMessage, setEmacsMode, setErrorPrintStream, setMessageOutputLevel, setOutputPrintStream, targetFinished, targetStarted, taskFinished, taskStarted`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MailLogger

    public MailLogger()

Method Detail

### buildFinished

    public void buildFinished(BuildEvent event)

  Sends an e-mail with the log results.

  Specified by:
    `buildFinished` in interface `BuildListener`
  Overrides:
    `buildFinished` in class `DefaultLogger`
  Parameters:
    `event` - the build finished event
  See Also:
    `BuildEvent.getException()`

### log

    protected void log(java.lang.String message)

  Receives and buffers log messages.

  Overrides:
    `log` in class `DefaultLogger`
  Parameters:
    `message` - the message being logger

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD